﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using System.Reflection;

namespace iikoCardISSApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Core = new iikoCardCore();

        }

        iikoCardCore Core;

        private void button1_Click(object sender, EventArgs e)
        {
            Core.Start();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            Core.Queue.Enqueue(
                new StandartImportOperation(Core)
                {
                    ImportFile = openFileDialog1.FileName
                }
                );
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Core.Queue.Enqueue(
                new StandartExportOperation(Core)
                {
                    FromDate = dateTimePicker1.Value,
                    ToDate = dateTimePicker2.Value,
                    Auto = false
                }
                );
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Text += " "+Assembly.GetExecutingAssembly().GetName().Version;
            /*var cfg = new iikoCardISConfig()
            {
                MainParameters = new iikoCardISConfig.MainConfig()
                {
                    DictionaryParam1 = "Баланс",
                    DictionaryParam2 = "300",
                    ExportFilePathAuto = @"c:\out",
                    ImportFilePath = @"c:\in",
                    ImportFilePathArchive = @"c:\in\arc",
                    GroupName = "TestGroup",
                    Organization = "TestOrg"
                }
            };

            cfg.Save("iikoCardIS.cfg");*/

            Core.Start();

            /*while (true)
            {
                Thread.Sleep(1);
                Core.Config.Save(Core.ConfigFilePath);
            }*/
        }
    }
}
