﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace iikoCardISSApp
{
    public delegate void MonitorDelegate(AbstractMonitor monitor);

    /// <summary>
    /// Абстрактный монитор
    /// </summary>
    public abstract class AbstractMonitor
    {
        /// <summary>
        /// Запуск монитора
        /// </summary>
        abstract public void Start();

        /// <summary>
        /// Событие срабатывания монитора
        /// </summary>
        abstract public event MonitorDelegate Elapsed;
    }
}
