﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace iikoCardISSApp
{
    public class AutoImportOperationCreator : AbstractOperationCreator
    {
        public AutoImportOperationCreator(iikoCardCore core, AbstractMonitor monitor) : base(core, monitor)
        {

        } 

        public override void EnqueueOperation(AbstractMonitor monitor)
        {
            //берем в папке импорта все файлы вида *.txt и ставим их в очередь на загрузку
            var files = Directory.GetFiles(Core.Config.MainParameters.ImportFilePath, "*.txt", SearchOption.TopDirectoryOnly);

            foreach (var item in files)
            {
                var o = new StandartImportOperation(Core)
                {   
                    ImportFile = item,
                    Auto = true
                };

                Core.Queue.Enqueue(o);
            }
        }
    }
}
