﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace iikoCardISSApp
{
    public class AutoExportOperationCreator : AbstractOperationCreator
    {
        public AutoExportOperationCreator(iikoCardCore core, AbstractMonitor monitor) : base(core, monitor)
        {

        } 

        public override void EnqueueOperation(AbstractMonitor monitor)
        {
            var o = new StandartExportOperation(Core)
            {
                Auto = true,
                FromDate = DateTime.Now.AddDays(-1),
                ToDate = DateTime.Now
            };

            Core.Queue.Enqueue(o);
        }
    }
}
